node {

    try {

        stage('SERVICE - Check out') {
            git 'https://gitlab.com/florian.inchauspe0/3ilapimeteo.git'
        }

        /*
         stage('SERVICE - SonarQube Analysis'){
            withSonarQubeEnv(){
                sh "/opt/sonar-scanner-4.4.0.2170-linux/bin/sonar-scanner"

                // sh "/opt/sonar-scanner-4.4.0.2170-linux/bin/sonar-scanner -Dsonar.projectKey=<glpat-B3dwyDyYydsVGutJw7Fd>"

            }        
        } */

        stage('SERVICE - Build postgres') {
            def myImage = docker.build 'postgres-demo:1.0'
        }
        stage('DOCKER - Build Git') {
            def commitIdLong = sh returnStdout: true, script: 'git rev-parse HEAD'
            def commitId = commitIdLong.take(7)
            withDockerRegistry (url:'https://registry.gitlab.com/florian.inchauspe0/3ilapimeteo',credentialsId: 'glpat-eyJGqYDUZi-fyUBJr-4G'){
                def myImage = docker.build "registry.gitlab.com/florian.inchauspe0/3ilapimeteo:${commitId}"
                myImage.push()
            }

        }
    }finally {

    }
}


